from fastapi import APIRouter
from fastapi import Depends

from quark_backend.api.common import V4L2_ROUTE
from quark_backend.api.common import CommonParams
from quark_backend.api.common import Tags
from quark_backend.api.common import V4L2Endpoints
from quark_backend.api.common import check_exceptions
from quark_backend.quark_camera import Camera


router = APIRouter(
    prefix=V4L2_ROUTE + V4L2Endpoints.control,
    tags=[Tags.streaming],
)


@router.get("/stop")
def stop_stream(params: CommonParams = Depends()):
    check_exceptions(Camera.stop, params.dev)
